import java.util.Arrays;
import java.util.Random;

public class SortierTest {
    public static void main(String[] args) {
        int groesse;

        // Lesen des Befehlszeilenarguments und Interpretation als Größe
        if (args.length > 0) {
            groesse = Integer.parseInt(args[0]);
        } else {
            groesse = 100;  // Standardgröße
        }

        System.out.printf("Sortier-Test, Groesse: %d%n", groesse);

        // Erzeugen eines Arrays mit Zufallszahlen
        int[] liste = new int[groesse];
        Random random = new Random();
        for (int i = 0; i < groesse; i++) {
            liste[i] = random.nextInt(900) + 100; // Zufallszahlen zwischen 100 und 999 generieren
        }

        if (groesse < 500) {
            System.out.println("Eingabe:" + Arrays.toString(liste)); // Ausgabe falls überschaubar
        }

        long t1 = System.currentTimeMillis(); // Startzeit
        sortiere(liste); // Array sortieren
        long t2 = System.currentTimeMillis(); // Endzeit

        if (groesse < 500) {
            System.out.println("Ausgabe:" + Arrays.toString(liste)); // Ausgabe falls überschaubar
        }
        // System.out.printf("Laufzeit (sort): %7.5f msec%n", (t2 - t1)); // Laufzeit
        System.out.printf("Laufzeit (sort): %7.5f msec%n", (t2 - t1) / 1.0); // Cast to floating-point
    }

    // Methode, die überprüft, ob ein Array sortiert ist
    public static boolean isSorted(int[] arr) {
        for (int i = 0; i < arr.length - 1; i++) {
            if (arr[i] > arr[i + 1]) {
                return false;
            }
        }
        return true;
    }

    // Methode, die ein Array sortiert
    public static void sortiere(int[] arr) {
        int num = arr.length;
        Random rand = new Random();
        while (!isSorted(arr)) {
            int i = rand.nextInt(num);
            int j = rand.nextInt(num);
            if (i == j) continue;
            if (j < i) {
                int temp = i;
                i = j;
                j = temp;
            }
            if (arr[i] > arr[j]) {
                int temp = arr[i];
                arr[i] = arr[j];
                arr[j] = temp;
            }
        }
    }
}


