import java.util.Arrays;
import java.util.Random;

public class SortTest {
    public static void main(String[] args) {
        int size;

        // Reading command line argument and interpreting it as size
        if (args.length > 0) {
            size = Integer.parseInt(args[0]);
        } else {
            size = 100;  // Default size
        }

        System.out.printf("Sortier-Test, Groesse: %d%n", size);

        // Creating an array of random numbers
        int[] array = new int[size];
        Random random = new Random();
        for (int i = 0; i < size; i++) {
            array[i] = random.nextInt(900) + 100; // generating random numbers between 100 and 999
        }

        if (size < 500) {
            System.out.println("Eingabe:" + Arrays.toString(array)); // Output if manageable
        }

        long startTime = System.currentTimeMillis(); // Start time
        sort(array); // Sorting the array
        long endTime = System.currentTimeMillis(); // End time

        if (size < 500) {
            System.out.println("Ausgabe:" + Arrays.toString(array)); // Output if manageable
        }
        System.out.printf("Laufzeit (sort): %d msec%n", (endTime - startTime)); // Runtime
    }

    // Method to sort an array
    public static void sort(int[] array) {
        Arrays.sort(array);
    }
}

